# SpeciesFormChangeStatusEffectTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeStatusEffectTrigger

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeStatusEffectTrigger

- Defined in src/data/pokemon-forms.ts:324

##### Index

### Constructors

constructor

### Properties

description
invert
statusEffects

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeStatusEffectTrigger(
  statusEffects: StatusEffect | StatusEffect [],
  invert?: boolean,
  ): SpeciesFormChangeStatusEffectTrigger

  #### Parameters

  - statusEffects: StatusEffect | StatusEffect []
  - invert: boolean = false

  #### Returns SpeciesFormChangeStatusEffectTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:328

## Properties

### description

description: string = ""

Inherited from SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:222

### invert

invert: boolean

- Defined in src/data/pokemon-forms.ts:326

### statusEffects

statusEffects: StatusEffect []

- Defined in src/data/pokemon-forms.ts:325

## Methods

### canChange

- canChange(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:338

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228